﻿namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Поток FORTS_FUTINFO_REPL - Фьючерсы: справочная и сессионная информация.
	/// Таблица fut_bond_isin: Справочник инструментов облигаций.
	/// </summary>
	public class PlazaBondIsinFutureColumns : PlazaColumns
	{
		internal PlazaBondIsinFutureColumns()
			: base(PlazaTableId.BondIsinFuture)
		{
			IsinId = new PlazaColumn(TableId, "isin_id", typeof(int));
			BondId = new PlazaColumn(TableId, "bond_id", typeof(int));
			CoeffConversion = new PlazaColumn(TableId, "coeff_conversion", "d5.4");
		}

		/// <summary>
		/// Уникальный числовой идентификатор инструмента.
		/// </summary>
		public readonly PlazaColumn IsinId;

		/// <summary>
		/// Цифровой код облигации.
		/// </summary>
		public readonly PlazaColumn BondId;

		/// <summary>
		/// Конверсионный коэффициент.
		/// </summary>
		public readonly PlazaColumn CoeffConversion;
	}
}