﻿using System;

namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Поток FORTS_FUTINFO_REPL - Фьючерсы: справочная и сессионная информация.
	/// Таблица fut_bond_nkd: НКД на даты выплат купонов.
	/// </summary>
	public class PlazaBondNkdFutureColumns : PlazaColumns
	{
		internal PlazaBondNkdFutureColumns()
			: base(PlazaTableId.BondNkdFuture)
		{
			BondId = new PlazaColumn(TableId, "bond_id", typeof(int));
			Date = new PlazaColumn(TableId, "date", typeof(DateTime));
			Nkd = new PlazaColumn(TableId, "nkd", "d16.7");
		}

		/// <summary>
		/// Цифровой код облигации.
		/// </summary>
		public readonly PlazaColumn BondId;

		/// <summary>
		/// Дата выплаты купона.
		/// </summary>
		public readonly PlazaColumn Date;

		/// <summary>
		/// НКД на дату выплаты купона.
		/// </summary>
		public readonly PlazaColumn Nkd;
	}
}