﻿namespace StockSharp.Plaza.Metadata
{
    /// <summary>
    /// Поток FORTS_INFO_REPL - Дополнительная справочная информация.
    /// Таблица client_params - Информация о параметрах клиентов.
    /// </summary>
    public class PlazaClientParamsColumns : PlazaColumns
    {
        internal PlazaClientParamsColumns()
            : base(PlazaTableId.ClientParams)
        {
            ClientCode = new PlazaColumn(TableId, "client_code", "c7");            
            CodeVCB = new PlazaColumn(TableId, "code_vcb", "c25");
            CoeffGO = new PlazaColumn(TableId, "coeff_go", "d16.5");
            LimitSpotSell = new PlazaColumn(TableId, "limit_spot_sell", typeof(int));
            UsedLimitSpotSell = new PlazaColumn(TableId, "used_limit_spot_sell", typeof(int));
        }

        /// <summary>
        /// Код клиента.
        /// </summary>
        public readonly PlazaColumn ClientCode;
        
        /// <summary>
        /// Код базового актива.
        /// </summary>
        public readonly PlazaColumn CodeVCB;

        /// <summary>
        /// Коэффициент ГО.
        /// </summary>
        public readonly PlazaColumn CoeffGO;

        /// <summary>
        /// Лимит на открытие позиций в продажу на RTS Standard по данной акции (базовому активу).
        /// </summary>
        public readonly PlazaColumn LimitSpotSell;

        /// <summary>
        /// Использованный лимит на открытие позиций в продажу на RTS Standard по данной акции.
        /// </summary>
        public readonly PlazaColumn UsedLimitSpotSell;

    }
}