﻿namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Поток FORTS_FUTINFO_REPL - Фьючерсы: справочная и сессионная информация.
	/// Таблица diler - Справочник имен фирм.
	/// </summary>
	public class PlazaDilerColumns : PlazaColumns
	{
		internal PlazaDilerColumns()
			: base(PlazaTableId.Diler)
		{
			ClientCode = new PlazaColumn(TableId, "client_code", "c7");
			Name = new PlazaColumn(TableId, "name", "c200");
			RtsCode = new PlazaColumn(TableId, "rts_code", "c50");
			TransferCode = new PlazaColumn(TableId, "transfer_code", "c7");
			Status = new PlazaColumn(TableId, "status", typeof(int));
		}

		/// <summary>
		/// Код клиента.
		/// </summary>
		public readonly PlazaColumn ClientCode;

		/// <summary>
		/// Наименование фирмы.
		/// </summary>
		public readonly PlazaColumn Name;

		/// <summary>
		/// Код РТС фирмы.
		/// </summary>
		public readonly PlazaColumn RtsCode;

		/// <summary>
		/// Код счета для переноса позиции.
		/// </summary>
		public readonly PlazaColumn TransferCode;

		/// <summary>
		/// Признак обособленности раздела.
		/// </summary>
		public readonly PlazaColumn Status;
	}
}