﻿using System;

namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Таблица heartbeat: Служебная таблица cерверных часов.
	/// Данная таблица наполняется ядром торговой системы с определенной периодичностью и может быть
	///	использована для задач синхронизации (например, для проверки прихода всех сделок за определенный
	///	момент времени).
	/// </summary>
	public class PlazaHeartBeatColumns : PlazaColumns
	{
		internal PlazaHeartBeatColumns(PlazaTableId tableId)
			: base(tableId)
		{
			ServerTime = new PlazaColumn(TableId, "server_time", typeof(DateTime));
		}

		/// <summary>
		/// Дата и время сервера.
		/// </summary>
		public readonly PlazaColumn ServerTime;
	}
}