﻿namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Колонки таблицы, содержащей информация о ВМ, рассчитанной по результатам пром. клиринга.
	/// </summary>
	public abstract class PlazaInterClearingInfoDerivativeColumns : PlazaColumns
	{
		internal PlazaInterClearingInfoDerivativeColumns(PlazaTableId tableId)
			: base(tableId)
		{
			IsinId = new PlazaColumn(TableId, "isin_id", typeof(int));
			ClientCode = new PlazaColumn(TableId, "client_code", "c7");
			VmIntercl = new PlazaColumn(TableId, "vm_intercl", "d16.2");
		}

		/// <summary>
		/// Уникальный числовой идентификатор инструмента.
		/// </summary>
		public readonly PlazaColumn IsinId;

		/// <summary>
		/// Код клиента.
		/// </summary>
		public readonly PlazaColumn ClientCode;

		/// <summary>
		/// Вариационная маржа, списанная или полученная в пром. клиринг.
		/// </summary>
		public readonly PlazaColumn VmIntercl;
	}
}