﻿namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Поток FORTS_FUTINFO_REPL - Фьючерсы: справочная и сессионная информация.
	/// Таблица investr - Справочник клиентов.
	/// </summary>
	public class PlazaInvestorColumns : PlazaColumns
	{
		internal PlazaInvestorColumns()
			: base(PlazaTableId.Investr)
		{
			ClientCode = new PlazaColumn(TableId, "client_code", "c7");
			Name = new PlazaColumn(TableId, "name", "c200");
			Status = new PlazaColumn(TableId, "status", typeof(int));
		}

		/// <summary>
		/// Код клиента.
		/// </summary>
		public readonly PlazaColumn ClientCode;

		/// <summary>
		/// Наименование клиента.
		/// </summary>
		public readonly PlazaColumn Name;

		/// <summary>
		/// Признаки раздела.
		/// </summary>
		public readonly PlazaColumn Status;
	}
}