﻿namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// FORTS_FUTTRADE_REPL - Фьючерсы: заявки и сделки.
	/// Таблица multileg_orders_log: Журнал заявок по связкам.
	/// </summary>
	public class PlazaMultiLegOrdersLogFutureColumns : PlazaOrdersDerivativeColumns
	{
		internal PlazaMultiLegOrdersLogFutureColumns()
			: base(PlazaTableId.MultiLegOrdersLogFuture)
		{
			RatePrice = new PlazaColumn(TableId, "rate_price", "d16.5");
			SwapPrice = new PlazaColumn(TableId, "swap_price", "d16.5");
		}

		/// <summary>
		/// Ставка заявки. Поле rate_price для валютных свопов содержит своп-цену.
		/// </summary>
		public readonly PlazaColumn RatePrice;

		/// <summary>
		/// Своп-цена заявки.
		/// </summary>
		public readonly PlazaColumn SwapPrice;
	}
}