﻿namespace StockSharp.Plaza.Metadata
{
	using System;

	/// <summary>
	/// Колонки таблицы, содержащей информацию о стаканах.
	/// </summary>
	public abstract class PlazaOrderBookInfoDerivativeColumns : PlazaColumns
	{
		internal PlazaOrderBookInfoDerivativeColumns(PlazaTableId tableId)
			: base(tableId)
		{
			InfoId = new PlazaColumn(TableId, "infoID", typeof(long));
			LogRevision = new PlazaColumn(TableId, "logRev", typeof(long));
			Moment = new PlazaColumn(TableId, "moment", typeof(DateTime));
		}

		/// <summary>
		/// Уникальный ключ.
		/// </summary>
		public readonly PlazaColumn InfoId;

		/// <summary>
		/// Значение orders_log.replRev на момент формирования снэпшота.
		/// </summary>
		public readonly PlazaColumn LogRevision;

		/// <summary>
		/// Время формирования снэпшота.
		/// </summary>
		public readonly PlazaColumn Moment;
	}
}