﻿namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Колонки таблиц, содержащие журнал заявки и сделки.
	/// </summary>
	public abstract class PlazaOrdersLogDerivativeColumns : PlazaOrdersDerivativeColumns
	{
		internal PlazaOrdersLogDerivativeColumns(PlazaTableId tableId)
			: base(tableId)
		{
			
			DealId = new PlazaColumn(TableId, "id_deal", typeof(long));
			DealPrice = new PlazaColumn(TableId, "deal_price", "d16.5");
		}

		/// <summary>
		/// Идентификатор сделки по данной записи журнала заявок.
		/// </summary>
		public readonly PlazaColumn DealId;

		/// <summary>
		/// Цена заключенной сделки.
		/// </summary>
		public readonly PlazaColumn DealPrice;
	}
}