﻿using System;

namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Колонки таблицы, содержащей результаты клиринга.	
	/// </summary>
	public class PlazaSessionSettlementDerivativeColumns : PlazaColumns
	{
        internal PlazaSessionSettlementDerivativeColumns(PlazaTableId tableId)
            : base(tableId)
		{
			SessionId = new PlazaColumn(TableId, "sess_id", typeof(int));
			ClearingDate = new PlazaColumn(TableId, "date_clr", typeof(DateTime));
			Isin = new PlazaColumn(TableId, "isin", "c25");
			IsinId = new PlazaColumn(TableId, "isin_id", typeof(int));
        }

		/// <summary>
		/// Идентификатор торговой сессии.
		/// </summary>
		public readonly PlazaColumn SessionId;

		/// <summary>
		/// Дата клиринга
		/// </summary>
		public readonly PlazaColumn ClearingDate;

		/// <summary>
		/// Символьный код инструмента.
		/// </summary>
		public readonly PlazaColumn Isin;

		/// <summary>
		/// Уникальный числовой идентификатор инструмента.
		/// </summary>
		public readonly PlazaColumn IsinId;
    
    }
}