﻿namespace StockSharp.Plaza.Metadata
{
	using System;

	/// <summary>
	/// Поток FORTS_FUTINFO_REPL - Фьючерсы: справочная и сессионная информация.
	/// Таблица usd_online: Трансляция курса USD.
	/// </summary>
	public class PlazaUsdOnlineColumns : PlazaColumns
	{
		internal PlazaUsdOnlineColumns()
			: base(PlazaTableId.UsdOnline)
		{
			Id = new PlazaColumn(TableId, "id", typeof(long));
			Rate = new PlazaColumn(TableId, "rate", "d16.4");
			Moment = new PlazaColumn(TableId, "moment", typeof(DateTime));
		}

		/// <summary>
		/// Идентификатор курса.
		/// </summary>
		public readonly PlazaColumn Id;
		
		/// <summary>
		/// Курс USD.
		/// </summary>
		public readonly PlazaColumn Rate;

		/// <summary>
		/// Время расчета курса.
		/// </summary>
		public readonly PlazaColumn Moment;
	}
}