﻿namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Поток FORTS_VM_REPL - Вариационная маржа.
	/// </summary>
	public abstract class PlazaVmDerivativeColumns : PlazaColumns
	{
		internal PlazaVmDerivativeColumns(PlazaTableId tableId)
			: base(tableId)
		{
			IsinId = new PlazaColumn(TableId, "isin_id", typeof(int));
			SessionId = new PlazaColumn(TableId, "sess_id", typeof(int));
			ClientCode = new PlazaColumn(TableId, "client_code", "c7");
			Vm = new PlazaColumn(TableId, "vm", "d16.5");
		}

		/// <summary>
		/// Уникальный числовой идентификатор инструмента.
		/// </summary>
		public readonly PlazaColumn IsinId;

		/// <summary>
		/// Идентификатор торговой сессии.
		/// </summary>
		public readonly PlazaColumn SessionId;

		/// <summary>
		/// Код клиента.
		/// </summary>
		public readonly PlazaColumn ClientCode;

		/// <summary>
		/// Накопленная по сделкам вариационная маржа по фьючерсам, рассчитанная по текущей котировке.
		/// </summary>
		public readonly PlazaColumn Vm;
	}
}