﻿namespace StockSharp.Plaza.Metadata
{
	/// <summary>
	/// Поток FORTS_MISCINFO_REPL - Дополнительная справочная информация.
	/// Таблица volat_coeff - Таблица с коэффициентами волатильности.
	/// </summary>
	public class PlazaVolatilitySmileColumns : PlazaColumns
	{
		internal PlazaVolatilitySmileColumns()
			: base(PlazaTableId.VolatilitySmile)
		{
			IsinId = new PlazaColumn(TableId, "isin_id", typeof(int));
			A = new PlazaColumn(TableId, "a", "d16.10");
			B = new PlazaColumn(TableId, "b", "d16.10");
			C = new PlazaColumn(TableId, "c", "d16.10");
			D = new PlazaColumn(TableId, "d", "d16.10");
			E = new PlazaColumn(TableId, "e", "d16.10");
			S = new PlazaColumn(TableId, "s", "d16.10");
		}

		/// <summary>
		/// Уникальный числовой идентификатор инструмента.
		/// </summary>
		public readonly PlazaColumn IsinId;

		/// <summary>
		/// Коэффициент A параметрической кривой волатильности.
		/// </summary>
		public readonly PlazaColumn A;

		/// <summary>
		/// Коэффициент A параметрической кривой волатильности.
		/// </summary>
		public readonly PlazaColumn B;

		/// <summary>
		/// Коэффициент A параметрической кривой волатильности.
		/// </summary>
		public readonly PlazaColumn C;

		/// <summary>
		/// Коэффициент A параметрической кривой волатильности.
		/// </summary>
		public readonly PlazaColumn D;

		/// <summary>
		/// Коэффициент A параметрической кривой волатильности.
		/// </summary>
		public readonly PlazaColumn E;

		/// <summary>
		/// Коэффициент A параметрической кривой волатильности.
		/// </summary>
		public readonly PlazaColumn S;
	}
}
