namespace StockSharp.Plaza.Wrappers
{
	/// <summary>
	///    .
	/// </summary>
	interface IMessageFactoryWrapper
	{
		/// <summary>
		///  .
		/// </summary>
		/// <param name="structFile">,   .</param>
		/// <param name="signFile"> .</param>
		void Init(string structFile, string signFile);

		/// <summary>
		///    .
		/// </summary>
		/// <param name="msgName"> </param>
		/// <returns></returns>
		IMessageWrapper CreateMessageByName(string msgName);
	}

	class MessageFactoryWrapper32 : IMessageFactoryWrapper
	{
		private readonly P2ClientGateMTA32.CP2BLMessageFactory _factory;

		public MessageFactoryWrapper32()
		{
			_factory = new P2ClientGateMTA32.CP2BLMessageFactory();
		}

		void IMessageFactoryWrapper.Init(string structFile, string signFile)
		{
			_factory.Init(structFile, signFile);
		}

		IMessageWrapper IMessageFactoryWrapper.CreateMessageByName(string msgName)
		{
			return new MessageWrapper32(_factory.CreateMessageByName(msgName));
		}
	}

	class MessageFactoryWrapper64 : IMessageFactoryWrapper
	{
		private readonly P2ClientGateMTA64.CP2BLMessageFactory _factory;

		public MessageFactoryWrapper64()
		{
			_factory = new P2ClientGateMTA64.CP2BLMessageFactory();
		}

		void IMessageFactoryWrapper.Init(string structFile, string signFile)
		{
			_factory.Init(structFile, signFile);
		}

		IMessageWrapper IMessageFactoryWrapper.CreateMessageByName(string msgName)
		{
			return new MessageWrapper64(_factory.CreateMessageByName(msgName));
		}
	}
}