namespace StockSharp.Plaza.Wrappers
{
	using System;

	/// <summary>
	///   ,       -   .
	/// </summary>
	interface IMessageWrapper
	{
		/// <summary>
		///  .
		/// </summary>
		string DestAddr { get; set; }

		/// <summary>
		///   .
		/// </summary>
		/// <param name="name"> .</param>
		/// <param name="pVal">.</param>
		void SetField(string name, object pVal);

		/// <summary>
		///   .
		/// </summary>
		/// <param name="name"> .</param>
		/// <returns></returns>
		object GetField(string name);

		/// <summary>
		///   .
		/// </summary>
		/// <param name="conn"> .</param>
		/// <param name="timeout">  ,      .</param>
		/// <param name="dispatcher">  .</param>
		/// <param name="eventParam"> .</param>
		void SendAsync(IConnectionWrapper conn, long timeout, MessageDispatcher dispatcher, long eventParam);

		/// <summary>
		///  .
		/// </summary>
		/// <param name="conn"> .</param>
		/// <param name="timeout">  ,      .</param>
		/// <returns></returns>
		IMessageWrapper Send(IConnectionWrapper conn, long timeout);
	}

	class MessageWrapper32 : IMessageWrapper
	{
		private readonly P2ClientGateMTA32.CP2BLMessage _message;

		public MessageWrapper32(P2ClientGateMTA32.CP2BLMessage message)
		{
			_message = message;
		}

		string IMessageWrapper.DestAddr
		{
			get { return _message.DestAddr; }
			set { _message.DestAddr = value; }
		}

		void IMessageWrapper.SetField(string name, object pVal)
		{
			_message.Field[name] = pVal;
		}

		object IMessageWrapper.GetField(string name)
		{
			return _message.Field[name];
		}

		void IMessageWrapper.SendAsync(IConnectionWrapper conn, long timeout, MessageDispatcher dispatcher, long eventParam)
		{
			var connect = (ConnectionWrapper32)conn;

			if (timeout < 0)
				throw new ArgumentException(@"     .", "timeout");

			_message.SendAsync2(connect.Connection, (uint)timeout, dispatcher, eventParam);
		}

		IMessageWrapper IMessageWrapper.Send(IConnectionWrapper conn, long timeout)
		{
			var connect = (ConnectionWrapper32)conn;

			if (timeout < 0)
				throw new ArgumentException(@"     .", "timeout");

			return new MessageWrapper32(_message.Send(connect.Connection, (uint)timeout));
		}
	}

	class MessageWrapper64 : IMessageWrapper
	{
		private readonly P2ClientGateMTA64.CP2BLMessage _message;

		public MessageWrapper64(P2ClientGateMTA64.CP2BLMessage message)
		{
			_message = message;
		}

		string IMessageWrapper.DestAddr
		{
			get { return _message.DestAddr; }
			set { _message.DestAddr = value; }
		}

		void IMessageWrapper.SetField(string name, object pVal)
		{
			_message.Field[name] = pVal;
		}

		object IMessageWrapper.GetField(string name)
		{
			return _message.Field[name];
		}

		void IMessageWrapper.SendAsync(IConnectionWrapper conn, long timeout, MessageDispatcher dispatcher, long eventParam)
		{
			var connect = (ConnectionWrapper64)conn;

			if (timeout < 0)
				throw new ArgumentException(@"     .", "timeout");

			_message.SendAsync2(connect.Connection, (uint)timeout, dispatcher, eventParam);
		}

		IMessageWrapper IMessageWrapper.Send(IConnectionWrapper conn, long timeout)
		{
			var connect = (ConnectionWrapper64)conn;

			if (timeout < 0)
				throw new ArgumentException(@"     .", "timeout");

			return new MessageWrapper64(_message.Send(connect.Connection, (uint)timeout));
		}
	}
}