namespace StockSharp.Plaza.Wrappers
{
	/// <summary>
	///     .
	/// </summary>
	interface IRecordWrapper
	{
		/// <summary>
		///   .
		/// </summary>
		/// <param name="fieldName"> .</param>
		/// <returns></returns>
		int GetInt(string fieldName);

		/// <summary>
		///   .
		/// </summary>
		/// <param name="fieldIndex"> .</param>
		/// <returns></returns>
		object GetObject(uint fieldIndex);
	}

	class RecordWrapper32 : IRecordWrapper
	{
		private readonly P2ClientGateMTA32.CP2Record _record;

		public RecordWrapper32(P2ClientGateMTA32.CP2Record record)
		{
			_record = record;
		}

		int IRecordWrapper.GetInt(string fieldName)
		{
			return _record.GetValAsLong(fieldName);
		}

		object IRecordWrapper.GetObject(uint fieldIndex)
		{
			return _record.GetValAsVariantByIndex(fieldIndex);
		}
	}

	class RecordWrapper64 : IRecordWrapper
	{
		private readonly P2ClientGateMTA64.CP2Record _record;

		public RecordWrapper64(P2ClientGateMTA64.CP2Record record)
		{
			_record = record;
		}

		int IRecordWrapper.GetInt(string fieldName)
		{
			return _record.GetValAsLong(fieldName);
		}

		object IRecordWrapper.GetObject(uint fieldIndex)
		{
			return _record.GetValAsVariantByIndex(fieldIndex);
		}
	}
}