namespace StockSharp.Plaza.Wrappers
{
	using System;
	using System.Runtime.InteropServices;

	/// <summary>
	///     Plaza .
	/// </summary>
	[ComVisible(true)]
	[CLSCompliant(false)]
	public sealed class MessageDispatcher : P2ClientGateMTA32.IP2AsyncSendEvent2, P2ClientGateMTA64.IP2AsyncSendEvent2
	{
		private readonly Action<IMessageWrapper, uint, long> _handler;

		internal MessageDispatcher(Action<IMessageWrapper, uint, long> handler)
		{
			if (handler == null)
				throw new ArgumentNullException("handler");

			_handler = handler;
		}

		/// <summary>
		///   .
		/// </summary>
		/// <param name="reply">     Reply.</param>
		/// <param name="errCode"> .  .</param>
		/// <param name="eventParam"> .</param>
		void P2ClientGateMTA32.IP2AsyncSendEvent2.SendAsync2Reply(P2ClientGateMTA32.CP2BLMessage reply, uint errCode, long eventParam)
		{
			_handler(new MessageWrapper32(reply), errCode, eventParam);
		}

		/// <summary>
		///   .
		/// </summary>
		/// <param name="reply">     Reply.</param>
		/// <param name="errCode"> .  .</param>
		/// <param name="eventParam"> .</param>
		void P2ClientGateMTA64.IP2AsyncSendEvent2.SendAsync2Reply(P2ClientGateMTA64.CP2BLMessage reply, uint errCode, long eventParam)
		{
			_handler(new MessageWrapper64(reply), errCode, eventParam);
		}
	}
}